<?php /* Template Name: Contact Page */ ?>
<?php 
//If the form is submitted
if(isset($_POST['submitted'])) {

	//Check to see if the honeypot captcha field was filled in
	if(trim($_POST['checking']) !== '') {
		$captchaError = true;
	} else {
	
		//Check to make sure that the name field is not empty
		if(trim($_POST['contactName']) === '') {
			$nameError = 'فراموش کردید نام خود را وارد کنید.';
			$hasError = true;
		} else {
			$name = trim($_POST['contactName']);
		}
		
		//Check to make sure sure that a valid email address is submitted
		if(trim($_POST['email']) === '')  {
			$emailError = 'فراموش کردید آدرس ایمیل خود را وارد کنید.';
			$hasError = true;
		} else if (!eregi("^[A-Z0-9._%-]+@[A-Z0-9._%-]+\.[A-Z]{2,4}$", trim($_POST['email']))) {
			$emailError = 'You entered an invalid email address.';
			$hasError = true;
		} else {
			$email = trim($_POST['email']);
		}
			
		//Check to make sure comments were entered	
		if(trim($_POST['comments']) === '') {
			$commentError = 'فراموش کردید دیگاه خود را وارد کنید.';
			$hasError = true;
		} else {
			if(function_exists('stripslashes')) {
				$comments = stripslashes(trim($_POST['comments']));
			} else {
				$comments = trim($_POST['comments']);
			}
		}
			
		//If there is no error, send the email
		if(!isset($hasError)) {

			$emailTo = ''.get_option('cmail').'';
			$subject = 'Contact Form Submission from '.$name;
			$sendCopy = trim($_POST['sendCopy']);
			$body = "Name: $name \n\nEmail: $email \n\nComments: $comments";
			$headers = 'From: My Site <'.$emailTo.'>' . "\r\n" . 'Reply-To: ' . $email;
			
			mail($emailTo, $subject, $body, $headers);

			if($sendCopy == true) {
				$subject = 'You emailed contact form Yourself from '.get_option('cmail').'';
				$headers = 'From: Your Name <'.get_option('cmail').'>';
				mail($email, $subject, $body, $headers);
			}

			$emailSent = true;

		}
	}
} ?>
<?php get_header(); ?>
<link href="<?php bloginfo('template_directory'); ?>/css/ContactPage.css" rel="stylesheet" type="text/css" />
<script type="text/javascript" src="<?php bloginfo('template_directory'); ?>/scripts/contact-form.js"></script>
<?php include(TEMPLATEPATH . '/post-sidebar.php'); ?>
<div class="breadcrumbed"> You are here: <a href="<?php echo get_bloginfo('url'); ?>/" title="">
  <?php _e('Home'); ?>
  </a>
  <?php
	$parent_id  = $post->post_parent;
	$breadcrumbs = array();
	while ($parent_id) {
		$page = get_page($parent_id);
			$breadcrumbs[] = '<a href="'.get_permalink($page->ID).'" title="">'.get_the_title($page->ID).'</a>';
		$parent_id  = $page->post_parent;
	}
	$breadcrumbs = array_reverse($breadcrumbs);
	foreach ($breadcrumbs as $crumb) echo ' » '.$crumb;
	?>
  <span> » 
  <?php the_title(); ?>
  </span> </div>
<!-- Begin Left Column -->
<div id="uscolumnsingle">
  <div class="1wrapperst">
    <div class="2wrappernd">
      <div class="uscontinue">
        <?php if(isset($emailSent) && $emailSent == true) { ?>
        <div class="thanks">
          <h1>Thanks,
            <?=$name;?>
          </h1>
          <p>ایمیل شما با موفقیت فرستاده شد. به زودی تماس خواهم گرفت.</p>
        </div>
        <?php } else { ?>
        <?php if (have_posts()) : ?>
        <?php while (have_posts()) : the_post(); ?>
        <div class="ptitle">
          <?php the_title(); ?>
        </div>
        <div id="mycontent">
          <?php the_content(); ?>
          <?php if(isset($hasError) || isset($captchaError)) { ?>
          <p class="error">خطایی در ارسال فرم رخ داده است.
          <p>
            <?php } ?>
          <form action="<?php the_permalink(); ?>" id="contactForm" method="post">
            <ol class="forms">
              <li>
                <label for="contactName">نام</label>
                <input type="text" name="contactName" id="contactName" value="<?php if(isset($_POST['contactName'])) echo $_POST['contactName'];?>" class="requiredField" />
                <?php if($nameError != '') { ?>
                <span class="error">
                <?=$nameError;?>
                </span>
                <?php } ?>
              </li>
              <li>
                <label for="email">ایمیل</label>
                <input type="text" name="email" id="email" value="<?php if(isset($_POST['email']))  echo $_POST['email'];?>" class="requiredField email" />
                <?php if($emailError != '') { ?>
                <span class="error">
                <?=$emailError;?>
                </span>
                <?php } ?>
              </li>
              <li class="textarea">
                <label for="commentsText">دیدگاه</label>
                <textarea name="comments" id="commentsText" rows="20" cols="30" class="requiredField"><?php if(isset($_POST['comments'])) { if(function_exists('stripslashes')) { echo stripslashes($_POST['comments']); } else { echo $_POST['comments']; } } ?>
</textarea>
                <?php if($commentError != '') { ?>
                <span class="error">
                <?=$commentError;?>
                </span>
                <?php } ?>
              </li>
              <li class="inline">
                <input type="checkbox" name="sendCopy" id="sendCopy" value="true"<?php if(isset($_POST['sendCopy']) && $_POST['sendCopy'] == true) echo ' checked="checked"'; ?> />
                <label for="sendCopy">فرستادن یک نسخه از این ایمیل به خودتان</label>
              </li>
              <li class="inline" style="display:none"> <b>اگر می‌خواهید این فرم را بفرستید، در این فیلد چیزی وارد نکنید </b><div class="clear"></div>
                <input type="text" name="checking" id="checking" class="screenReader" value="<?php if(isset($_POST['checking']))  echo $_POST['checking'];?>" />
              </li>
              <li class="inline buttons">
                <input type="hidden" name="submitted" id="submitted" value="true" />
                <button type="submit">فرستادن ایمیل</button>
              </li>
            </ol>
          </form>
        </div>
        <?php endwhile; ?>
        <?php endif; ?>
        <?php } ?>
        <div class="clear"></div>
      </div>
      <div class="clear"></div>
    </div>
  </div>
</div>
<div class="clr"> </div>

<!-- End Left Column --> 

<!-- End Main Body -->

<?php get_footer(); ?>
