<?php
include_once(TEMPLATEPATH . '/includes/ShortCodes.php');
include_once(TEMPLATEPATH . '/includes/FluidColumn.php');
include_once(TEMPLATEPATH . '/includes/Video/Video.php');
/** 
* A pagination function 
* @param integer $range: The range of the slider, works best with even numbers 
* Used WP functions: 
* get_pagenum_link($i) - creates the link, e.g. http://site.com/page/4 
* previous_posts_link(' « '); - returns the Previous page link 
* next_posts_link(' » '); - returns the Next page link 
*/  
function get_pagination($range = 4, $id=''){  
	$return='';
	// $paged - number of the current page  
	global $paged, $wp_query;  
	// How much pages do we have?  
	if ( !$max_page ) {  
		$max_page = $wp_query->max_num_pages;  
	}  
	// We need the pagination only if there are more than 1 page  
	if($max_page > 1){  
		if(!$paged){  
			$paged = 1;  
		}  
		// On the first page, don't put the First page link  
		if($paged != 1){  
			$return.="<a href=" . get_pagenum_link(1) . "#".$id."> اولین </a>";  
		}  
		// To the previous page  
		$return.= get_previous_posts_link(' « ');  
		// We need the sliding effect only if there are more pages than is the sliding range  
		if($max_page > $range){  
			// When closer to the beginning  
			if($paged < $range){  
				for($i = 1; $i <= ($range + 1); $i++){ 
					if($i==$paged) $return.='<span class="activeee">'.$i.'</span>';
					else $return.="<a href='" . get_pagenum_link($i) ."#".$id."'>".$i."</a>";  
				}  
			}  
			// When closer to the end  
			elseif($paged >= ($max_page - ceil(($range/2)))){  
				for($i = $max_page - $range; $i <= $max_page; $i++){  
					if($i==$paged) $return.='<span class="activeee">'.$i.'</span>';
					else $return.="<a href='" . get_pagenum_link($i) ."#".$id."'>".$i."</a>";    
				}  
			}  
			// Somewhere in the middle  
			elseif($paged >= $range && $paged < ($max_page - ceil(($range/2)))){  
				for($i = ($paged - ceil($range/2)); $i <= ($paged + ceil(($range/2))); $i++){  
					if($i==$paged) $return.='<span class="activeee">'.$i.'</span>';
					else $return.="<a href='" . get_pagenum_link($i) ."#".$id."'>".$i."</a>";    
				}  
			}  
		}  
		// Less pages than the range, no sliding effect needed  
		else{  
			for($i = 1; $i <= $max_page; $i++){  
				if($i==$paged)$return.='<span class="activeee">'.$i.'</span>';
				else $return.="<a href='" . get_pagenum_link($i) ."#".$id."'>".$i."</a>";    
			}  
		}  
		// Next page  
		$return.= get_next_posts_link(' » ');  
		// On the last page, don't put the Last page link  
		if($paged != $max_page){  
			$return.=" <a href=" . get_pagenum_link($max_page) ."#".$id. "> آخرین </a>";  
		}  
	}  
	return('<div class="postlink">'.$return.'</div>');
}

if (is_admin() && $_GET['page']=='options') {
	wp_deregister_script( 'jquery' );
	wp_register_script('jquery', get_bloginfo('template_directory').'/scripts/jquery-1.6.1.js');
	wp_enqueue_script('jquery');
	add_action('wp_print_scripts', 'loadGlobalVariableJs');
}
function loadGlobalVariableJs() {
	global $wordPressThemeOptions;
	global $current_user;
	$themeData=get_theme_data(TEMPLATEPATH.'/style.css');
  get_currentuserinfo();
	?>
<script type="text/javascript">
	/* <![CDATA[ */
	var Global = {
		registerEmail: "<?php echo (stripcslashes($current_user->user_email));?>",
		themeName: "<?php echo ($themeData['Name']);?>",
		userDisplayName: "<?php echo (stripcslashes($current_user->display_name));?>"
	};
	/* ]]> */ 
</script>
	<?php
}


add_filter('widget_text', 'do_shortcode'); 

if( function_exists( 'add_theme_support' ) ) {
	add_theme_support( 'post-thumbnails' ); 
	add_image_size( 'smallgalthumb', 90, 60, true );
 	add_image_size( 'largegalthumb', 610, 270, true );
 	add_image_size( 'hotleft', 290, 128, true );
  add_image_size( 'thehot', 80, 80, true );
  add_image_size( 'vidpic', 130, 125, true );
  add_image_size( 'archiveimg', 145, 85, true );
  add_image_size( 'latestgamingupdates', 100, 68, true );
}
    
function magazine3_ticker( $no_posts = 5, $before = '   <li>', $after = '</li> ', $hide_pass_post = true, $skip_posts = 0, $show_excerpts = false, $include_pages = false ) {
	global $wpdb;

	$time_difference = get_settings( 'gmt_offset' );
	$now = gmdate( "Y-m-d H:i:s", time() );
	$request = "SELECT ID, post_title, post_excerpt FROM $wpdb->posts WHERE post_status = 'publish' ";
	if ( $hide_pass_post )
		$request .= "AND post_password ='' ";
	if ( $include_pages )
		$request .= "AND (post_type='post' OR post_type='page') ";
	else
		$request .= "AND post_type='post' ";
	$request .= "AND post_date_gmt < '$now' ORDER BY post_date DESC LIMIT $skip_posts, $no_posts";
	$posts = $wpdb->get_results( $request );
	$output = '';

	if ( $posts ) {
		foreach ( $posts as $post ) {
			$post_title = $post->post_title;
			$permalink = get_permalink( $post->ID );
			$output .= $before . '<a href="' . esc_url( $permalink ) . '" rel="bookmark" title="Permanent Link: ' . esc_attr( $post_title ) . '">' . esc_html( $post_title ) . '</a>';
			if ( $show_excerpts ) {
				$post_excerpt = esc_html( $post->post_excerpt );
				$output.= '<br />' . $post_excerpt;
			}
			$output .= $after;
		}
	} else {
		$output .= $before . "None found" . $after;
	}
    echo $output;
} 
add_theme_support( 'menus' );   

if ( function_exists( 'wp_nav_menu' ) ){
	if (function_exists('add_theme_support')) {
		add_theme_support('nav-menus');
		add_action( 'init', 'register_my_menus' );
		function register_my_menus() {
			register_nav_menus(
				array(
					'main-menu' => __( 'Top Menu' )
				)
			);
		}
        register_nav_menus( array(
		'second' => __( 'Main Menu', 'second' ),
	) );
    
          register_nav_menus( array(
		'third' => __( 'Footer Menu', 'third' ),
	) );

	}
}
function primarymenu1(){ ?>

<div id="topMenu">
  <ul>
    <li>
      <div style="color:#eee"> به پیشخوان > نمایش > فهرست‌ها برای تنظیم فهرست بروید.</div>
    </li>
  </ul>
</div>
<?php }

function primarymenu2(){ ?>
<div class="menu-header">
  <ul id="menu-primary-nav" class="menu">
    <li><a>به پیشخوان > نمایش > فهرست‌ها برای تنظیم فهرست بروید.</a></li>
  </ul>
</div>
<?php }

function primarymenu3(){ ?>
<div id="topMenu">
  <ul>
    <li>
      <div> به پیشخوان > نمایش > فهرست‌ها برای تنظیم فهرست بروید.</div>
    </li>
  </ul>
</div>
<?php }
class Arrow_Walker_Nav_Menu extends Walker_Nav_Menu {
    function display_element($element, &$children_elements, $max_depth, $depth=0, $args, &$output) {
        $id_field = $this->db_fields['id'];
        if (!empty($children_elements[$element->$id_field])) { 
            $element->classes[] = 'arrow'; //enter any classname you like here!
        }
        Walker_Nav_Menu::display_element($element, $children_elements, $max_depth, $depth, $args, $output);
    }
} 
 function the_content_limit($max_char, $more_link_text = ' ', $stripteaser = 0, $more_file = '') {
    $content = get_the_content($more_link_text, $stripteaser, $more_file);
    $content = apply_filters('the_content', $content);
    $content = str_replace(']]>', ']]&gt;', $content);
    $content = strip_tags($content);
   if (strlen($_GET['p']) > 0) {
      echo "<p>";
      echo $content;
      echo "&nbsp;<a href='";
      the_permalink();
      echo "'>"."..</a>";
      echo "</p>";
   }

   else if ((strlen($content)>$max_char) && ($espacio = strpos($content, " ", $max_char ))) {
        $content = substr($content, 0, $espacio);
        $content = $content;
        echo "<p>";
        echo $content;
        echo "...";
        echo "&nbsp;<a href='";
        the_permalink();
        echo "'>".$more_link_text."</a>";
        echo "</p>";
   }

   else {
      echo "<p>";
      echo $content;
      echo "&nbsp;<a href='";
      the_permalink();
      echo "'>"."</a>";
      echo "</p>";
   }

}

function the_title2($before = '', $after = '', $echo = true, $length = false) {
$title = get_the_title();
if ( $length && is_numeric($length) ) {
$title = substr( $title, 0, $length );
}

if ( strlen($title)> 0 ) {
$title = apply_filters('the_title2', $before . $title . $after, $before, $after);
if ( $echo )
echo $title;
else
return $title;
}
}

      

register_sidebar( array(
	'name' => 'Homepage sidebar',
	'description' => __( 'The primary widget area on Homepage'),
	'before_widget' => '<li class="widgetcontainer clearfix">',
	'after_widget' => '</div></li>',
	'before_title' => '<div class="widgettitle"><h3>',
	'after_title' => '</h3></div><div class="widgetcontent">'
) );
register_sidebar( array(
	'name' => 'Post Sidebar',
	'description' => __( 'This sidebar will appear on article posts and pages'),
	'before_widget' => '<li class="widgetcontainer clearfix">',
	'after_widget' => '</div></li>',
	'before_title' => '<div class="widgettitle"><h3>',
	'after_title' => '</h3></div><div class="widgetcontent">'
) );

register_sidebar( array(
	'name' => 'Archive sidebar',
	'description' => __( 'This sidebar will appear on categories, tags & archive pages'),
	'before_widget' => '<li class="widgetcontainer clearfix">',
	'after_widget' => '</div></li>',
	'before_title' => '<div class="widgettitle"><h3>',
	'after_title' => '</h3></div><div class="widgetcontent">'
) );

register_sidebar( array(
	'name' => 'Small sidebar',
	'description' => __( 'This is the small sidebar situated on right side of "Latest Gaming Updates"'),
	'before_widget' => '<li class="widgetcontainersmall clearfix">',
	'after_widget' => '</div></li>',
	'before_title' => '<div class="widgettitlesmall"><h3>',
	'after_title' => '</h3></div><div class="widgetcontentsmall">'
) );

register_sidebar( array(
	'name' => 'Footer1',
	'description' => __( 'Footer 1'),
	'before_widget' => '<div class="widget"><ul>',
	'after_widget' => '</ul></div>',
	'before_title' => '<h3>',
	'after_title' => '</h3>'	
) );
register_sidebar( array(
	'name' => 'Footer2',
	'description' => __( 'Footer2'),
	'before_widget' => '<div class="widget"><ul>',
	'after_widget' => '</ul></div>',
	'before_title' => '<h3>',
	'after_title' => '</h3>'	
) );
register_sidebar( array(
	'name' => 'Footer3',
	'description' => __( 'Footer 3'),
	'before_widget' => '<div class="widget"><ul>',
	'after_widget' => '</ul></div>',
	'before_title' => '<h3>',
	'after_title' => '</h3>'	
) );
register_sidebar( array(
	'name' => 'Footer4',
	'description' => __( 'Footer 4'),
	'before_widget' => '<div class="widget"><ul>',
	'after_widget' => '</ul></div>',
	'before_title' => '<h3>',
	'after_title' => '</h3>'	
) );

function _main1($main3) {
  return __($main3, 'main2');
}
function _globalpeace($main3) {
  _e($main3, 'main2');
}

function theopts() {
	if (!current_user_can('manage_options')) {
		return; }
	add_submenu_page(
		'themes.php'
		, _main1('گزینه‌های Game Speed', 'globaloptions')
		, _main1('گزینه‌های Game Speed', 'globaloptions')
		, 0
		, 'options'
		, 'toptions'	); }
add_action('admin_menu', 'theopts');
add_option('logo', 'آدرس تصویر لوگوی خود را اینجا قرار دهید', '', 'yes');
add_option('flogo', '', '', 'yes');
add_option('footerCopyright');
add_option('favicon');
add_option('shareok');
add_option('feedurl', 'آدرس خوراک شما', '', 'yes');
add_option('thumbok');
add_option('styleSwicther');
add_option('defaultSkins');
add_option('defaultPatern');
add_option('useDefaultBackground');
add_option('defaultBG');
add_option('twitterok'); add_option('authorok'); add_option('facebookok'); add_option('youtubeok');
add_option('delok');
add_option('faceok');
add_option('ffeedok');
add_option('googleok');
add_option('rssfeedok');
add_option('technok');
add_option('stumbleok');
add_option('netok');
add_option('myspaceok');
add_option('diggok'); 
add_option('redittok'); 
add_option('mixxok'); 
add_option('twitterbookmarkok');
add_option('feedburner', 'آدرس فیدبرنر شما', '', 'yes');   
add_option('latestgamingupdates', '6', '', 'yes');  
add_option('twitter', 'http://twitter.com/', '', 'yes');
add_option('twitterlink', 's/twitter.png', '', 'yes');
add_option('facebook', 'http://facebook.com/', '', 'yes');
add_option('facebooklink', '/icons/facebook.png', '', 'yes');
add_option('youtube', 'http://youtube.com/', '', 'yes');
add_option('youtubelink', 'http://website.com/wp-content/themes/gamespeed/icons/youtube.png', '', 'yes');                                            
add_option('300x250', 'کد تبلیغ 300x250', '', 'yes');
add_option('seo1', '', '', 'yes');
add_option('seo2', '', '', 'yes');
add_option('seo3', '', '', 'yes');
add_option('videotxt', 'تصویر ویدئویی', '', 'yes');
add_option('468', 'کد تبلیغ 468x60 ', '', 'yes');     
add_option('120', 'کد تبلیغ 120x600 ', '', 'yes');
add_option('ga', '', '', 'yes');  
add_option('hs', '', '', 'yes');    
add_option('menu', '', '', 'yes');
add_option('vidd-cat', '', '', 'yes');
add_option('vidd-count', '4', '', 'yes');
add_option('hottxt', 'اخبار داغ', '', 'yes');
add_option('hot-cat', '', '', 'yes');
add_option('gallery-cat', '', '', 'yes'); add_option('galleryok', '', '', 'yes');  add_option('lhbox', '', '', 'yes'); 
add_option('vid-cat', '', '', 'yes');
add_option('excludecat', '', '', 'yes');
add_option('cmail', '', '', 'yes'); add_option('cmailname', '', '', 'yes'); 
if ( is_admin() ){
	add_action( 'admin_init', 'gset' );
}
function gset() {
	register_setting( 'gulast', 'logo' ); register_setting( 'gulast', 'flogo' );
  register_setting( 'gulast', 'favicon' );
	register_setting( 'gulast', 'shareok' );
  register_setting( 'gulast', 'feedurl' ); register_setting( 'gulast', 'twitterok' ); register_setting( 'gulast', 'authorok' ); register_setting( 'gulast', 'thumbok' ); register_setting( 'gulast', 'styleSwicther' );
	register_setting( 'gulast', 'footerCopyright' );
	
	register_setting( 'gulast', 'defaultSkins' );
  register_setting( 'gulast', 'defaultPatern' );
	register_setting( 'gulast', 'useDefaultBackground' );
	register_setting( 'gulast', 'defaultBG' );
	
	register_setting( 'gulast', 'facebookok' );
  register_setting( 'gulast', 'youtubeok' );
  register_setting( 'gulast', 'delok' );
  register_setting( 'gulast', 'ffeedok' );
  register_setting( 'gulast', 'googleok' );          register_setting( 'gulast', 'rssfeedok' );  register_setting( 'gulast', 'technok' );
  register_setting( 'gulast', 'stumbleok' );
	register_setting( 'gulast', 'netok' );
  register_setting( 'gulast', 'myspaceok' );
  register_setting( 'gulast', 'mixxok' );
  register_setting( 'gulast', 'diggok' );
  register_setting( 'gulast', 'faceok' );
  register_setting( 'gulast', 'redittok' );
  register_setting( 'gulast', 'twitterbookmarkok' );
  register_setting( 'gulast', 'latestgamingupdates' );
	register_setting( 'gulast', 'twitter' );
	register_setting( 'gulast', 'twitterlink' );         
	register_setting( 'gulast', 'facebook' );
	register_setting( 'gulast', 'facebooklink' );
	register_setting( 'gulast', 'youtube' );
	register_setting( 'gulast', 'youtubelink' );
	register_setting( 'gulast', 'feedburner' );
	register_setting( 'gulast', '300x250' );
  register_setting( 'gulast', 'seo1' );
  register_setting( 'gulast', 'seo2' );
  register_setting( 'gulast', 'seo3' );
  register_setting( 'gulast', 'videotxt' );  
	register_setting( 'gulast', 'vidd-count' );
	register_setting( 'gulast', '468' ); 
	register_setting( 'gulast', '120' );
  register_setting( 'gulast', 'ga' ); 
  register_setting( 'gulast', 'hs' ); 
  register_setting( 'gulast', 'menu' );
  register_setting( 'gulast', 'lhbox' );  
  register_setting( 'gulast', 'gallery-cat' );    register_setting( 'gulast', 'galleryok' );  
  register_setting( 'gulast', 'vidd-cat' ); 
  register_setting( 'gulast', 'hottxt' ); 
  register_setting( 'gulast', 'hot-cat' ); 
 	register_setting( 'gulast', 'cmail' );  register_setting( 'gulast', 'cmailname' ); 
  register_setting( 'gulast', 'vid-cat' );     register_setting( 'gulast', 'excludecat' ); 
}

if (is_admin()) add_action('init',  'loadBackPageStyles');
function  loadBackPageStyles () {
	wp_deregister_style( 'ThemeOptions' );
	wp_enqueue_style( 'ThemeOptions', get_bloginfo('template_directory').'/'.'css/ThemeOptions.css', array());
}

function toptions() {
  	if (!empty($_SERVER['SCRIPT_FILENAME']) && 'toptions.php' == basename($_SERVER['SCRIPT_FILENAME']))
		die ('Please do not load this page directly. Thanks!');
?>
<div class="wrap">
  <div id="icon-themes" class="icon32 PlvThemeOptions"></div>
  <h2>گزینه‌های پوسته Game Speed</h2>
  <div class="clear"></div>
	<div class="updated" id="PlvAlert"><p>بارگذاری گزینه‌های پوسته ...</p></div>
  <div id="PlvOptions" style="display:none;">
  <form method="post" action="options.php">
    <?php settings_fields( 'gulast' ); ?>
    <div class="PlvTabs">
      <div id="pettabs" class="indentmenu">
        <ul>
          <li> <a rel="dog1" id="General" class="selected">
            <div></div>
            <span>تنظیمات عمومی</span></a> </li>
          <li> <a id="Advertisement" href="#" rel="dog3">
            <div></div>
            <span>تبلیغات</span></a> </li>
          <li> <a id="Homepage" href="#" rel="dog5">
            <div></div>
            <span>تنظیمات صفحه‌اصلی</span></a> </li>
          <li> <a id="SinglePage" href="#" rel="dog6">
            <div></div>
            <span>تنظیمات تک صفحه</span></a> </li>
          <li> <a id="SEO" href="#" rel="dog7">
            <div></div>
            <span>تنظیمات سئو</span></a> </li>
          <li> <a id="ContactForm" href="#" rel="dog8">
            <div></div>
            <span>جزئیات فرم تماس</span></a> </li>
        </ul>
        <br style="clear: left;">
      </div>
      <div class="Content" style="min-width: 758px; height: auto; margin-bottom: 1em;">
        <div style="display: none;" id="dog1" class="tabcontent">
          <div class="wrap">
            <div id="icon-tools" class="icon32"> <br>
            </div>
            <h2>تنظیمات عمومی</h2>
          </div>
          <table class="form-table" style="width: 100%;">
            <tr>
              <td style="width: 18%;"><label for="logo">
                  <?php _globalpeace('آدرس لوگو:'); ?>
                </label></td>
              <td style="width: 65%;"><input class="picker-input" id="logo" type="text" size="91" maxlength="955" name="logo" value="<?php echo get_option('logo'); ?>" /></td>
            </tr>
            <tr>
              <td style="width: 18%;"><label for="favicon">
                  <?php _globalpeace('آدرس Favicon:'); ?>
                </label></td>
              <td style="width: 65%;"><input class="picker-input" id="favicon" type="text" size="91" maxlength="955" name="favicon" value="<?php echo get_option('favicon'); ?>" /></td>
            </tr>
            <tr>
              <td style="width: 18%;"><label for="hs">
                  <?php _globalpeace('اسکریپت‌های سربرگ'); ?>
                  <br />
                  </label></td>
              <td style="width: 65%;"><textarea class="picker-input" name="hs" rows="4" cols="60"><?php echo get_option('hs'); ?> </textarea></td>
            </tr>
            <tr>
              <td style="width: 18%;"><label for="hs">
                  <?php _globalpeace('کپی‌رایت پانوشت'); ?>
                   </label></td>
              <td style="width: 65%;"><textarea class="picker-input" name="footerCopyright" rows="4" cols="60"><?php echo get_option('footerCopyright'); ?> </textarea></td>
            </tr>
            <tr>
              <td style="width: 18%;"><label for="ga">
                  <?php _globalpeace('اسکریپت‌های پانوشت'); ?>
                  <br />
                  مانند آمارگیر گوگل </label></td>
              <td style="width: 65%;"><textarea class="picker-input" name="ga" rows="4" cols="60"><?php echo get_option('ga'); ?> </textarea></td>
            </tr>
            <tr valign="top">
              <th scope="row"><label for="thumbok">پردازش تصاویر بندانگشتی</label></th>
              <td><select name="thumbok" id="thumbok">
                  <option value="yes" <?php if(get_option('thumbok') == 'yes'){?>selected="selected"<?php }?>>Native Thumbnail</option>
                  <option value="no" <?php if(get_option('thumbok') == 'no'){?>selected="selected"<?php }?>>TimThumb</option>
                </select></td>
            </tr>
            <tr valign="top">
              <th scope="row"><label for="styleSwicther">نمایش تعویض کننده استایل</label></th>
              <td><select name="styleSwicther" id="styleSwicther">
                  <option value="yes" <?php if(get_option('styleSwicther') == 'yes'){?>selected="selected"<?php }?>>بله</option>
                  <option value="no" <?php if(get_option('styleSwicther') == 'no'){?>selected="selected"<?php }?>>خیر</option>
                </select></td>
            </tr>
            <tr valign="top">
              <th scope="row"><label for="defaultSkins">پوسته‌ی پیشفرض</label></th>
              <td>
              	<select name="defaultSkins" id="defaultSkins">
                  <option value="2888BF" <?php if(get_option('defaultSkins') == '2888BF'){?>selected="selected"<?php }?>>1</option>
                  <option value="BF4C17" <?php if(get_option('defaultSkins') == 'BF4C17'){?>selected="selected"<?php }?>>2</option>
                  <option value="2B2B2B" <?php if(get_option('defaultSkins') == '2B2B2B'){?>selected="selected"<?php }?>>3</option>
                  <option value="DB8F00" <?php if(get_option('defaultSkins') == 'DB8F00'){?>selected="selected"<?php }?>>4</option>
                  <option value="C71400" <?php if(get_option('defaultSkins') == 'C71400'){?>selected="selected"<?php }?>>5</option>
                  <option value="669100" <?php if(get_option('defaultSkins') == '669100'){?>selected="selected"<?php }?>>6</option>
                  <option value="306" <?php if(get_option('defaultSkins') == '306'){?>selected="selected"<?php }?>>7</option>
                  <option value="3CF" <?php if(get_option('defaultSkins') == '3CF'){?>selected="selected"<?php }?>>8</option>
                  <option value="F96" <?php if(get_option('defaultSkins') == 'F96'){?>selected="selected"<?php }?>>9</option>
                  <option value="FC6" <?php if(get_option('defaultSkins') == 'FC6'){?>selected="selected"<?php }?>>10</option>
                  <option value="C03" <?php if(get_option('defaultSkins') == 'C03'){?>selected="selected"<?php }?>>11</option>
                  <option value="00A" <?php if(get_option('defaultSkins') == '00A'){?>selected="selected"<?php }?>>12</option>
                  <option value="660" <?php if(get_option('defaultSkins') == '660'){?>selected="selected"<?php }?>>13</option>
                  <option value="99F" <?php if(get_option('defaultSkins') == '99F'){?>selected="selected"<?php }?>>14</option>
                  <option value="F99" <?php if(get_option('defaultSkins') == 'F99'){?>selected="selected"<?php }?>>15</option>
                  <option value="960" <?php if(get_option('defaultSkins') == '960'){?>selected="selected"<?php }?>>16</option>
                  <option value="0B0" <?php if(get_option('defaultSkins') == '0B0'){?>selected="selected"<?php }?>>17</option>
                  <option value="040" <?php if(get_option('defaultSkins') == '040'){?>selected="selected"<?php }?>>18</option>
                  <option value="F69" <?php if(get_option('defaultSkins') == 'F69'){?>selected="selected"<?php }?>>19</option>
                  <option value="F60" <?php if(get_option('defaultSkins') == 'F60'){?>selected="selected"<?php }?>>20</option>
                  <option value="93F" <?php if(get_option('defaultSkins') == '93F'){?>selected="selected"<?php }?>>21</option>
                </select>
                <div class="clear"></div>
               	<h5>پوسته‌های نمونه</h5>
                <div class="clear"></div>
                <a class="number-box">1</a>
                <a class="number-box">2</a>
                <a class="number-box">3</a>
                <a class="number-box">4</a>
                <a class="number-box">5</a>
                <a class="number-box">6</a>
                <a class="number-box">7</a>
                <a class="number-box">8</a>
                <a class="number-box">9</a>
                <a class="number-box">10</a>
                <a class="number-box">11</a>
                <a class="number-box">12</a>
                <a class="number-box">13</a>
                <a class="number-box">14</a>
                <a class="number-box">15</a>
                <a class="number-box">16</a>
                <a class="number-box">17</a>
                <a class="number-box">18</a>
                <a class="number-box">19</a>
                <a class="number-box">20</a>
                <a class="number-box">21</a>
                <div class="clear"></div>
                
                <a class="color-box" rel="2888BF" style="background-color: rgb(40, 136, 191);">&nbsp;</a> 
                <a class="color-box" rel="BF4C17" style="background-color: rgb(191, 76, 23);"></a> 
                <a class="color-box" rel="2B2B2B" style="background-color: rgb(43, 43, 43);"></a> 
                <a class="color-box" rel="DB8F00" style="background-color: rgb(219, 143, 0);"></a> 
                <a class="color-box" rel="C71400" style="background-color: rgb(199, 20, 0);"></a> 
                <a class="color-box" rel="669100" style="background-color: rgb(102, 145, 0);"></a>
                
                <a class="color-box" rel="306" style="background-color: #306;"></a>
                <a class="color-box" rel="3CF" style="background-color: #3CF;"></a>
                <a class="color-box" rel="F96" style="background-color: #F96;"></a>
                
                <a class="color-box" rel="FC6" style="background-color: #FC6;"></a>
                <a class="color-box" rel="C03" style="background-color: #C03;"></a>
                <a class="color-box" rel="00A" style="background-color: #00A;"></a>
                
                <a class="color-box" rel="660" style="background-color: #660;"></a>
                <a class="color-box" rel="99F" style="background-color: #99F;"></a>
                <a class="color-box" rel="F99" style="background-color: #F99;"></a>
                
                <a class="color-box" rel="960" style="background-color: #960;"></a>
                <a class="color-box" rel="0B0" style="background-color: #0B0;"></a>
                <a class="color-box" rel="040" style="background-color: #040;"></a>
                
                <a class="color-box" rel="F69" style="background-color: #F69;"></a>
                <a class="color-box" rel="F60" style="background-color: #F60;"></a>
                <a class="color-box" rel="93F" style="background-color: #93F;"></a>
               </td>
            </tr>
            
            <tr valign="top">
              <th scope="row"><label for="defaultPatern">پترن پیشفرض</label></th>
              <td>
              	<select name="defaultPatern" id="defaultPatern">
                  <option value="<?php bloginfo('template_directory'); ?>/images/patern/grid1.png" <?php if(get_option('defaultPatern') == get_bloginfo('template_directory')."/images/patern/grid1.png"){?>selected="selected"<?php }?>>1</option>
                  <option value="<?php bloginfo('template_directory'); ?>/images/patern/grid2.png" <?php if(get_option('defaultPatern') == get_bloginfo('template_directory')."/images/patern/grid2.png"){?>selected="selected"<?php }?>>2</option>
                  <option value="<?php bloginfo('template_directory'); ?>/images/patern/grid3.png" <?php if(get_option('defaultPatern') == get_bloginfo('template_directory')."/images/patern/grid3.png"){?>selected="selected"<?php }?>>3</option>
                  <option value="<?php bloginfo('template_directory'); ?>/images/patern/grid4.png" <?php if(get_option('defaultPatern') == get_bloginfo('template_directory')."/images/patern/grid4.png"){?>selected="selected"<?php }?>>4</option>
                  <option value="<?php bloginfo('template_directory'); ?>/images/patern/horizontal-line1.png" <?php if(get_option('defaultPatern') == get_bloginfo('template_directory')."/images/patern/horizontal-line1.png"){?>selected="selected"<?php }?>>5</option>
                  <option value="<?php bloginfo('template_directory'); ?>/images/patern/horizontal-line2.png" <?php if(get_option('defaultPatern') == get_bloginfo('template_directory')."/images/patern/horizontal-line2.png"){?>selected="selected"<?php }?>>6</option>
                  <option value="<?php bloginfo('template_directory'); ?>/images/patern/mozaic1.png" <?php if(get_option('defaultPatern') == get_bloginfo('template_directory')."/images/patern/mozaic1.png"){?>selected="selected"<?php }?>>7</option>
                  <option value="<?php bloginfo('template_directory'); ?>/images/patern/mozaic2.png" <?php if(get_option('defaultPatern') == get_bloginfo('template_directory')."/images/patern/mozaic2.png"){?>selected="selected"<?php }?>>8</option>
                  <option value="<?php bloginfo('template_directory'); ?>/images/patern/vertical-line1.png" <?php if(get_option('defaultPatern') == get_bloginfo('template_directory')."/images/patern/vertical-line1.png"){?>selected="selected"<?php }?>>9</option>
                  <option value="<?php bloginfo('template_directory'); ?>/images/patern/vertical-line2.png" <?php if(get_option('defaultPatern') == get_bloginfo('template_directory')."/images/patern/vertical-line2.png"){?>selected="selected"<?php }?>>10</option>
                  <option value="<?php bloginfo('template_directory'); ?>/images/patern/vertical-line3.png" <?php if(get_option('defaultPatern') == get_bloginfo('template_directory')."/images/patern/vertical-line3.png"){?>selected="selected"<?php }?>>11</option>
                </select>
                <div class="clear"></div>
               	<h5>پترین نمونه</h5>
                <div class="clear"></div>
                <a class="number-box">1</a>
                <a class="number-box">2</a>
                <a class="number-box">3</a>
                <a class="number-box">4</a>
                <a class="number-box">5</a>
                <a class="number-box">6</a>
                <a class="number-box">7</a>
                <a class="number-box">8</a>
                <a class="number-box">9</a>
                <a class="number-box">10</a>
                <a class="number-box">11</a>
                <div class="clear"></div>
                
                <a class="pattern-box" rel="grid1" style="background-image: url(<?php bloginfo('template_directory'); ?>/images/patern/grid1.png);"></a> 
                <a class="pattern-box" rel="grid2" style="background-image: url(<?php bloginfo('template_directory'); ?>/images/patern/grid2.png);"></a> 
                <a class="pattern-box" rel="grid3" style="background-image: url(<?php bloginfo('template_directory'); ?>/images/patern/grid3.png);"></a> 
                <a class="pattern-box" rel="grid4" style="background-image: url(<?php bloginfo('template_directory'); ?>/images/patern//grid4.png);"></a> 
                <a class="pattern-box" rel="horizontal-line1" style="background-image: url(<?php bloginfo('template_directory'); ?>/images/patern/horizontal-line1.png);"></a> 
                <a class="pattern-box" rel="horizontal-line2" style="background-image: url(<?php bloginfo('template_directory'); ?>/images/patern/horizontal-line2.png);"></a> 
                <a class="pattern-box" rel="mozaic1" style="background-image: url(<?php bloginfo('template_directory'); ?>/images/patern/mozaic1.png);"></a> 
                <a class="pattern-box" rel="mozaic2" style="background-image: url(<?php bloginfo('template_directory'); ?>/images/patern/mozaic2.png);"></a> 
                <a class="pattern-box" rel="vertical-line1" style="background-image: url(<?php bloginfo('template_directory'); ?>/images/patern/vertical-line1.png);"></a> 
                <a class="pattern-box" rel="vertical-line2" style="background-image: url(<?php bloginfo('template_directory'); ?>/images/patern/vertical-line2.png);"></a> 
                <a class="pattern-box" rel="vertical-line3" style="background-image: url(<?php bloginfo('template_directory'); ?>/images/patern/vertical-line3.png);"></a>
                
               </td>
            </tr>
            
            <tr valign="top">
              <th scope="row"><label for="defaultBG">پس‌زمینه پیشفرض</label></th>
              <td>
              	<select name="useDefaultBackground" id="useDefaultBackground">
                  <option value="yes" <?php if(get_option('useDefaultBackground') == 'yes'){?>selected="selected"<?php }?>>استفاده از پس‌زمینه پیشفرض</option>
                  <option value="no" <?php if(get_option('useDefaultBackground') == 'no'){?>selected="selected"<?php }?>>عدم استفاده از پس‌زمینه پیشفرض</option>
                </select>
              
              	<select name="defaultBG" id="defaultBG">
                  <option value="bg1" <?php if(get_option('defaultBG') == 'bg1'){?>selected="selected"<?php }?>>1</option>
                  <option value="bg2" <?php if(get_option('defaultBG') == 'bg2'){?>selected="selected"<?php }?>>2</option>
                  <option value="bg3" <?php if(get_option('defaultBG') == 'bg3'){?>selected="selected"<?php }?>>3</option>
                </select>
                <div class="clear"></div>
               	<h5>پس‌زمینه نمونه</h5>
                <div class="clear"></div>
                <a class="number-box-background">1</a>
                <a class="number-box-background">2</a>
                <a class="number-box-background">3</a>
                <div class="clear"></div>
                
                <img src="<?php bloginfo('template_directory'); ?>/images/background/small-bg1.png" class="galimg" />
                <img src="<?php bloginfo('template_directory'); ?>/images/background/small-bg2.png" class="galimg" />
                <img src="<?php bloginfo('template_directory'); ?>/images/background/small-bg3.png" class="galimg" />
                
               </td>
            </tr>
            
          </table>
          <br />
          <div class="wrap">
            <div id="icon-tools" class="icon32"> <br>
            </div>
            <h2>تنظیمات پروفایل اجتماعی و RSS</h2>
          </div>
          <table class="form-table" style="width: 100%;">
            <tr>
              <td><label for="feedurl">
                  <?php _globalpeace('آدرس خوراک شما:'); ?>
                </label></td>
              <td><input class="picker-input" id="feedurl" type="text" size="91" maxlength="955" name="feedurl" value="<?php echo get_option('feedurl'); ?>" /></td>
            </tr>
            <tr>
              <td><label for="feedburner">
                  <?php _globalpeace('آدرس ایمیل فیدبرنر شما:'); ?>
                </label></td>
              <td><input class="picker-input" id="feedburner" type="text" size="91" maxlength="955" name="feedburner" value="<?php echo get_option('feedburner'); ?>" /></td>
            </tr>
            <tr valign="top">
              <th scope="row"><label for="twitterok">نمایش توئیتر؟</label></th>
              <td><select name="twitterok" id="twitterok">
                  <option value="yes" <?php if(get_option('twitterok') == 'yes'){?>selected="selected"<?php }?>>بله</option>
                  <option value="no" <?php if(get_option('twitterok') == 'no'){?>selected="selected"<?php }?>>نه</option>
                </select></td>
            </tr>
            <tr>
              <td><label for="twitter">
                  <?php _globalpeace('آدرس پروفایل <b>توئیتر</b>:'); ?>
                </label></td>
              <td><input class="picker-input" id="twitter" type="text" size="91" maxlength="955" name="twitter" value="<?php echo get_option('twitter'); ?>"></td>
            </tr>
            <tr valign="top">
              <th scope="row"><label for="facebookok">نمایش فیسبوک؟</label></th>
              <td><select name="facebookok" id="facebookok">
                  <option value="yes" <?php if(get_option('facebookok') == 'yes'){?>selected="selected"<?php }?>>بله</option>
                  <option value="no" <?php if(get_option('facebookok') == 'no'){?>selected="selected"<?php }?>>خیر</option>
                </select></td>
            </tr>
            <tr>
              <td><label for="facebook">
                  <?php _globalpeace('آدرس پروفایل<b>فیسبوک</b>:'); ?>
                </label></td>
              <td><input class="picker-input" id="facebook" type="text" size="91" maxlength="955" name="facebook" value="<?php echo get_option('facebook'); ?>"></td>
            </tr>
            <tr valign="top">
              <th scope="row"><label for="youtubeok">نمایش یوتیوب؟</label></th>
              <td><select name="youtubeok" id="youtubeok">
                  <option value="yes" <?php if(get_option('youtubeok') == 'yes'){?>selected="selected"<?php }?>>بله</option>
                  <option value="no" <?php if(get_option('youtubeok') == 'no'){?>selected="selected"<?php }?>>خیر</option>
                </select></td>
            </tr>
            <tr>
              <td><label for="youtube">
                  <?php _globalpeace('آدرس پروفایل <b>یوتیوب</b>:'); ?>
                </label></td>
              <td><input class="picker-input" id="youtube" type="text" size="91" maxlength="955" name="youtube" value="<?php echo get_option('youtube'); ?>"></td>
            </tr>
          </table>
        </div>
        <div style="display: none;" id="dog3" class="tabcontent">
          <div class="wrap">
            <div id="icon-tools" class="icon32"> <br>
            </div>
            <h2>گزینه‌های تبلیغ</h2>
          </div>
          <table class="form-table" style="width: 100%;">
            <tr>
              <td><label for="300x250">
                  <?php _globalpeace('کد تبلیغ 300x250 [صفحه‌اصلی]'); ?>
                </label></td>
              <td><textarea class="picker-input" name="300x250" rows="4" cols="60"><?php echo get_option('300x250'); ?> </textarea></td>
            </tr>
            <tr>
              <td><label for="468">
                  <?php _globalpeace('کد تبلیغ 468x60 [پانوشت]'); ?>
                </label></td>
              <td><textarea class="picker-input" name="468" rows="4" cols="60"><?php echo get_option('468'); ?> </textarea></td>
            </tr>
            <tr>
              <td><label for="120">
                  <?php _globalpeace('کد تبلیغ 120x600 [صفحه اصلی]'); ?>
                </label></td>
              <td><textarea class="picker-input" name="120" rows="4" cols="60"><?php echo get_option('120'); ?> </textarea></td>
            </tr>
          </table>
        </div>
        <div style="display: none;" id="dog5" class="tabcontent">
          <div class="wrap">
            <div id="icon-tools" class="icon32"> <br>
            </div>
            <h2>تنظیمات اسلایدشو صفحه‌اصلی</h2>
          </div>
          <table class="form-table">
            <tbody>
              <tr valign="top">
                <th scope="row"><label for="galleryok">مخفی کردن اسلایدشو؟</label></th>
                <td><select name="galleryok" id="galleryok">
                    <option value="no" <?php if(get_option('galleryok') == 'no'){?>selected="selected"<?php }?>>خیر</option>
                    <option value="yes" <?php if(get_option('galleryok') == 'yes'){?>selected="selected"<?php }?>>بله</option>
                  </select></td>
              </tr>
              <tr>
                <td style="width: 25%;"><label for="gallery-cat">
                    <?php _globalpeace('دسته اسلایدشو:'); ?>
                  </label></td>
                <td style="width: 75%;"><?php wp_dropdown_categories('show_option_none=None&hide_empty=0&name=gallery-cat&exclude=1&orderby=name&selected='.get_option('gallery-cat')); ?></td>
              </tr>
            </tbody>
          </table>
          <br />
          <div class="wrap">
            <div id="icon-tools" class="icon32"> <br>
            </div>
            <h2>3 جعبه‌ی "اخبار داغ"</h2>
          </div>
          <table class="form-table">
            <tbody>
              <tr>
                <td style="width: 25%;"><label for="lhbox">
                    <?php _globalpeace('انتخاب دسته:'); ?>
                  </label></td>
                <td style="width: 75%;"><?php wp_dropdown_categories('show_option_none=None&hide_empty=0&name=lhbox&exclude=1&orderby=name&selected='.get_option('lhbox')); ?></td>
              </tr>
            </tbody>
          </table>
          <br />
          <div class="wrap">
            <div id="icon-tools" class="icon32"> <br>
            </div>
            <h2>پیکربندی اخبار داغ</h2>
          </div>
          <table class="form-table">
            <tbody>
              <tr>
                <td style="width: 25%;"><label for="hot-cat">
                    <?php _globalpeace('یک دسته برای نمایش نوشته‌های آن انتخاب کنید:'); ?>
                  </label></td>
                <td style="width: 75%;"><?php wp_dropdown_categories('show_option_none=None&hide_empty=0&name=hot-cat&exclude=1&orderby=name&selected='.get_option('hot-cat')); ?></td>
              </tr>
              <tr>
                <td style="width: 25%;"><label for="hottxt">
                    <?php _globalpeace('سرتیتر:'); ?>
                  </label></td>
                <td style="width: 75%;"><input class="picker-input" id="hottxt" type="text" size="30" maxlength="555" name="hottxt" value="<?php echo get_option('hottxt'); ?>" /></td>
              </tr>
              <tr>
            </tbody>
          </table>
          <br />
          <div class="wrap">
            <div id="icon-tools" class="icon32"> <br>
            </div>
            <h2>پیکربندی تصاویر ویدئویی</h2>
          </div>
          <table class="form-table">
            <tbody>
              <tr>
                <td style="width: 25%;"><label for="vidd-cat">
                    <?php _globalpeace('دسته ویدئو:'); ?>
                  </label></td>
                <td style="width: 75%;"><?php wp_dropdown_categories('show_option_none=None&hide_empty=0&name=vidd-cat&exclude=1&orderby=name&selected='.get_option('vidd-cat')); ?></td>
              </tr>
              <tr>
                <td style="width: 25%;"><label for="vid-cat">
                    <?php _globalpeace('آدرس آن دسته:'); ?>
                  </label></td>
                <td style="width: 75%;"><input class="picker-input" id="vid-cat" type="text" size="68" maxlength="1955" name="vid-cat" value="<?php echo get_option('vid-cat'); ?>" /></td>
                  </td>
              </tr>
              <tr>
                <td style="width: 25%;"><label for="videotxt">
                    <?php _globalpeace('عنوان سربرگ:'); ?>
                  </label></td>
                <td style="width: 75%;"><input class="picker-input" id="videotxt" type="text" size="30" maxlength="555" name="videotxt" value="<?php echo get_option('videotxt'); ?>" /></td>
              </tr>
              <tr>
                <td style="width: 25%;"><label for="vidd-count">
                    <?php _globalpeace('تعداد:'); ?>
                  </label></td>
                <td style="width: 75%;">
                  <input class="picker-input" id="vidd-count" type="text" size="30" maxlength="555" name="vidd-count" value="<?php echo get_option('vidd-count'); ?>" />
                </td>
              </tr>
              <tr>
            </tbody>
          </table>
          <br />
          <div class="wrap">
            <div id="icon-tools" class="icon32"> <br />
            </div>
            <h2>پیکربندی "آخرین به‌روزرسانی‌های بازی‌ها"</h2>
          </div>
          <table class="form-table">
            <tbody>
              <tr>
                <td style="width: 25%;"><label for="excludecat">
                    <?php _globalpeace('شناسه دسته استثنا :<br />(با کاما جدا شوند ",")'); ?>
                  </label></td>
                <td style="width: 75%;"><input class="picker-input" id="excludecat" type="text" size="68" maxlength="1955" name="excludecat" value="<?php echo get_option('excludecat'); ?>" /></td>
                  </td>
              </tr>
              <tr>
            </tbody>
          </table>
        </div>
        <div style="display: none;" id="dog6" class="tabcontent">
          <div class="wrap">
            <div id="icon-tools" class="icon32"> <br>
            </div>
            <h2>تنظیمات تک نوشته</h2>
          </div>
          <table class="form-table" style="width: 100%;">
            <tr valign="top">
              <th scope="row"><label for="authorok">نمایش قسمت نویسنده زیر نوشته؟</label></th>
              <td><select name="authorok" id="authorok">
                  <option value="yes" <?php if(get_option('authorok') == 'yes'){?>selected="selected"<?php }?>>بله</option>
                  <option value="no" <?php if(get_option('authorok') == 'no'){?>selected="selected"<?php }?>>خیر</option>
                </select></td>
            </tr>
          </table>
          <div class="wrap">
            <div id="icon-tools" class="icon32"> <br>
            </div>
            <h2>تنظیمات اشتراک ‌گذاری</h2>
          </div>
          <table class="form-table" style="width: 100%;">
            <tr valign="top">
              <th scope="row"><label for="shareok">نشان دادن اشتراک‌گذاری زیر نوشته؟</label></th>
              <td><select name="shareok" id="shareok">
                  <option value="yes" <?php if(get_option('shareok') == 'yes'){?>selected="selected"<?php }?>>بله</option>
                  <option value="no" <?php if(get_option('shareok') == 'no'){?>selected="selected"<?php }?>>خیر</option>
                </select></td>
            </tr>
            <tr valign="top">
              <td><h3>اگر بله، پس....</h3></td>
            </tr>
            <tr valign="top">
              <th scope="row"><label for="delok">نمایش Delicious؟</label></th>
              <td><select name="delok" id="delok">
                  <option value="yes" <?php if(get_option('delok') == 'yes'){?>selected="selected"<?php }?>>بله</option>
                  <option value="no" <?php if(get_option('delok') == 'no'){?>selected="selected"<?php }?>>خیر</option>
                </select></td>
            </tr>
            <tr valign="top">
              <th scope="row"><label for="faceok">نمایش Facebook؟</label></th>
              <td><select name="faceok" id="faceok">
                  <option value="yes" <?php if(get_option('faceok') == 'yes'){?>selected="selected"<?php }?>>بله</option>
                  <option value="no" <?php if(get_option('faceok') == 'no'){?>selected="selected"<?php }?>>خیر</option>
                </select></td>
            </tr>
            <tr valign="top">
              <th scope="row"><label for="ffeedok">نمایش FriendFeed؟</label></th>
              <td><select name="ffeedok" id="ffeedok">
                  <option value="yes" <?php if(get_option('ffeedok') == 'yes'){?>selected="selected"<?php }?>>بله</option>
                  <option value="no" <?php if(get_option('ffeedok') == 'no'){?>selected="selected"<?php }?>>خیر</option>
                </select></td>
            </tr>
            <tr valign="top">
              <th scope="row"><label for="googleok">نمایش Google Bookmark؟</label></th>
              <td><select name="googleok" id="googleok">
                  <option value="yes" <?php if(get_option('googleok') == 'yes'){?>selected="selected"<?php }?>>بله</option>
                  <option value="no" <?php if(get_option('googleok') == 'no'){?>selected="selected"<?php }?>>خیر</option>
                </select></td>
            </tr>
            <tr valign="top">
              <th scope="row"><label for="diggok">نمایش Digg؟</label></th>
              <td><select name="diggok" id="diggok">
                  <option value="yes" <?php if(get_option('diggok') == 'yes'){?>selected="selected"<?php }?>>بله</option>
                  <option value="no" <?php if(get_option('diggok') == 'no'){?>selected="selected"<?php }?>>خیر</option>
                </select></td>
            </tr>
            <tr valign="top">
              <th scope="row"><label for="twitterbookmarkok">نمایش Twitter؟</label></th>
              <td><select name="twitterbookmarkok" id="twitterbookmarkok">
                  <option value="yes" <?php if(get_option('twitterbookmarkok') == 'yes'){?>selected="selected"<?php }?>>بله</option>
                  <option value="no" <?php if(get_option('twitterbookmarkok') == 'no'){?>selected="selected"<?php }?>>خیر</option>
                </select></td>
            </tr>
            <tr valign="top">
              <th scope="row"><label for="redittok">نمایش Reditt؟</label></th>
              <td><select name="redittok" id="redittok">
                  <option value="yes" <?php if(get_option('redittok') == 'yes'){?>selected="selected"<?php }?>>بله</option>
                  <option value="no" <?php if(get_option('redittok') == 'no'){?>selected="selected"<?php }?>>خیر</option>
                </select></td>
            </tr>
            <tr valign="top">
              <th scope="row"><label for="mixxok">نمایش Mixx؟</label></th>
              <td><select name="mixxok" id="mixxok">
                  <option value="yes" <?php if(get_option('mixxok') == 'yes'){?>selected="selected"<?php }?>>بله</option>
                  <option value="no" <?php if(get_option('mixxok') == 'no'){?>selected="selected"<?php }?>>خیر</option>
                </select></td>
            </tr>
            <tr valign="top">
              <th scope="row"><label for="myspaceok">نمایش Myspace؟</label></th>
              <td><select name="myspaceok" id="myspaceok">
                  <option value="yes" <?php if(get_option('myspaceok') == 'yes'){?>selected="selected"<?php }?>>بله</option>
                  <option value="no" <?php if(get_option('myspaceok') == 'no'){?>selected="selected"<?php }?>>خیر</option>
                </select></td>
            </tr>
            <tr valign="top">
              <th scope="row"><label for="netok">نمایش NetVibes؟</label></th>
              <td><select name="netok" id="netok">
                  <option value="yes" <?php if(get_option('netok') == 'yes'){?>selected="selected"<?php }?>>بله</option>
                  <option value="no" <?php if(get_option('netok') == 'no'){?>selected="selected"<?php }?>>خیر</option>
                </select></td>
            </tr>
            <tr valign="top">
              <th scope="row"><label for="stumbleok">نمایش StumbleUpon؟</label></th>
              <td><select name="stumbleok" id="stumbleok">
                  <option value="yes" <?php if(get_option('stumbleok') == 'yes'){?>selected="selected"<?php }?>>بله</option>
                  <option value="no" <?php if(get_option('stumbleok') == 'no'){?>selected="selected"<?php }?>>خیر</option>
                </select></td>
            </tr>
            <tr valign="top">
              <th scope="row"><label for="technok">نمایش Technorati؟</label></th>
              <td><select name="technok" id="technok">
                  <option value="yes" <?php if(get_option('technok') == 'yes'){?>selected="selected"<?php }?>>بله</option>
                  <option value="no" <?php if(get_option('technok') == 'no'){?>selected="selected"<?php }?>>خیر</option>
                </select></td>
            </tr>
            <tr valign="top">
              <th scope="row"><label for="rssfeedok">نمایش RssFeed؟</label></th>
              <td><select name="rssfeedok" id="rssfeedok">
                  <option value="yes" <?php if(get_option('rssfeedok') == 'yes'){?>selected="selected"<?php }?>>بله</option>
                  <option value="no" <?php if(get_option('rssfeedok') == 'no'){?>selected="selected"<?php }?>>خیر</option>
                </select></td>
            </tr>
          </table>
        </div>
        <div style="display: none;" id="dog7" class="tabcontent">
          <div class="wrap">
            <div id="icon-tools" class="icon32"> <br>
            </div>
            <h2>تنظیمات سئو؟</h2>
          </div>
          <table class="form-table" style="width: 100%;">
            <tr>
              <td><label for="seo1">
                  <?php _globalpeace('توضیحات متا'); ?>
                </label></td>
              <td><textarea class="picker-input" name="seo1" rows="4" cols="60"><?php echo get_option('seo1'); ?> </textarea>
                <br />
                <span class="description">توضیحات متا برای صفحه‌اصلی شما.</span></td>
                </td>
            </tr>
            <tr>
              <td><label for="seo2">
                  <?php _globalpeace('واژه‌های کلیدی متا'); ?>
                </label></td>
              <td><textarea class="picker-input" name="seo2" rows="4" cols="60"><?php echo get_option('seo2'); ?> </textarea>
                <br />
                <span class="description">یک فهرست از واژه‌های کلیدی با کاما جدا شده برای سایت شما که به عنوان واژه‌های کلیدی متا در صفحه‌اصلی شما نوشته خواهد شد. </span></td>
            </tr>
          </table>
          <br />
        </div>
        <div style="display: none;" id="dog8" class="tabcontent">
          <div class="wrap">
            <div id="icon-tools" class="icon32"> <br>
            </div>
            <h2>جزئیات فرم تماس</h2>
          </div>
          <table class="form-table" style="width: 100%;">
            <tr>
              <td style="width: 25%;"><label for="cmail">
                  <?php _globalpeace('ایمیل به:'); ?>
                </label></td>
              <td style="width: 75%;"><input class="picker-input" id="cmail" type="text" size="68" maxlength="1955" name="cmail" value="<?php echo get_option('cmail'); ?>" /></td>
            </tr>
            <tr>
              <td style="width: 25%;"><label for="cmailname">
                  <?php _globalpeace('نام شما:'); ?>
                </label></td>
              <td style="width: 75%;"><input class="picker-input" id="cmailname" type="text" size="68" maxlength="1955" name="cmailname" value="<?php echo get_option('cmailname'); ?>" /></td>
            </tr>
          </table>
          <br />
        </div>
      </div>
      <input type="submit" class="button-primary" value="<?php _e('ذخیره تغییرات'); ?>" />
      <script language="javascript" src="<?php echo (get_bloginfo('template_directory').'/'.'scripts/pretty-lightbox.js');?>"></script> 
    </div>
  </form>
  <div class="clear"></div>
  <?php $theme_data = $themeData=get_theme_data(TEMPLATEPATH.'/style.css');?>
	</p>  
  </div>
</div> <!--End Wrap-->
<?php } ?>