<?php
if (!class_exists('FluidColumn')) {
class FluidColumn {
	function __construct() {
		@ini_set('pcre.backtrack_limit', 500000);
		
		// Remove the 2 main auto-formatters
		remove_filter('the_content', 'wpautop');
		remove_filter('the_content', 'wptexturize');
		
		// Before displaying for viewing, apply this function
		add_filter('the_content', array( $this, 'webtreats_formatter'), 99);
		add_filter('widget_text', array( $this, 'webtreats_formatter'), 99);
		
		$this->registerShortCodes();
	}
	
	function webtreats_formatter($content) {
		$new_content = '';
		
		/* Matches the contents and the open and closing tags */
		$pattern_full = '{(\[raw\].*?\[/raw\])}is';
		
		/* Matches just the contents */
		$pattern_contents = '{\[raw\](.*?)\[/raw\]}is';
		
		/* Divide content into pieces */
		$pieces = preg_split($pattern_full, $content, -1, PREG_SPLIT_DELIM_CAPTURE);
		
		/* Loop over pieces */
		foreach ($pieces as $piece) {
			/* Look for presence of the shortcode */
			if (preg_match($pattern_contents, $piece, $matches)) {
				
				/* Append to content (no formatting) */
				$new_content .= $matches[1];
			} else {
				
				/* Format and append to content */
				$new_content .= wptexturize(wpautop($piece));		
			}
		}
		
		return $new_content;
	}
	
	function registerShortCodes () {
		add_shortcode('one_third', array( $this, 'webtreats_one_third' ));
		add_shortcode('one_third_last', array( $this, 'webtreats_one_third_last' ));
		add_shortcode('two_third', array( $this, 'webtreats_two_third' ));
		add_shortcode('two_third_last', array( $this, 'webtreats_two_third_last' ));
		add_shortcode('one_half', array( $this, 'webtreats_one_half' ));
		add_shortcode('one_half_last', array( $this, 'webtreats_one_half_last' ));
		add_shortcode('one_fourth', array( $this, 'webtreats_one_fourth' ));
		add_shortcode('one_fourth_last', array( $this, 'webtreats_one_fourth_last' ));
		add_shortcode('three_fourth', array( $this, 'webtreats_three_fourth' ));
		add_shortcode('three_fourth_last', array( $this, 'webtreats_three_fourth_last' ));
		add_shortcode('one_fifth', array( $this, 'webtreats_one_fifth' ));
		add_shortcode('one_fifth_last', array( $this, 'webtreats_one_fifth_last' ));
		add_shortcode('two_fifth', array( $this, 'webtreats_two_fifth' ));
		add_shortcode('two_fifth_last', array( $this, 'webtreats_two_fifth_last' ));
		add_shortcode('three_fifth', array( $this, 'webtreats_three_fifth' ));
		add_shortcode('three_fifth_last', array( $this, 'webtreats_three_fifth_last' ));
		add_shortcode('four_fifth', array( $this, 'webtreats_four_fifth' ));
		add_shortcode('four_fifth_last', array( $this, 'webtreats_four_fifth_last' ));
		add_shortcode('one_sixth', array( $this, 'webtreats_one_sixth' ));
		add_shortcode('one_sixth_last', array( $this, 'webtreats_one_sixth_last' ));
		add_shortcode('five_sixth', array( $this, 'webtreats_five_sixth' ));
		add_shortcode('five_sixth_last', array( $this, 'webtreats_five_sixth_last' ));	
	}
	
	function webtreats_one_third( $atts, $content = null ) {
   return '<div class="one_third">' . do_shortcode($content) . '</div>';
	}
	function webtreats_one_third_last( $atts, $content = null ) {
   return '<div class="one_third last">' . do_shortcode($content) . '</div><div class="clear"></div>';
	}
	function webtreats_two_third( $atts, $content = null ) {
   return '<div class="two_third">' . do_shortcode($content) . '</div>';
	}
	function webtreats_two_third_last( $atts, $content = null ) {
   return '<div class="two_third last">' . do_shortcode($content) . '</div><div class="clear"></div>';
	}
	function webtreats_one_half( $atts, $content = null ) {
   return '<div class="one_half">' . do_shortcode($content) . '</div>';
	}
	function webtreats_one_half_last( $atts, $content = null ) {
   return '<div class="one_half last">' . do_shortcode($content) . '</div><div class="clear"></div>';
	}
	function webtreats_one_fourth( $atts, $content = null ) {
   return '<div class="one_fourth">' . do_shortcode($content) . '</div>';
	}
	function webtreats_one_fourth_last( $atts, $content = null ) {
   return '<div class="one_fourth last">' . do_shortcode($content) . '</div><div class="clear"></div>';
	}
	function webtreats_three_fourth( $atts, $content = null ) {
   return '<div class="three_fourth">' . do_shortcode($content) . '</div>';
	}
	function webtreats_three_fourth_last( $atts, $content = null ) {
   return '<div class="three_fourth last">' . do_shortcode($content) . '</div><div class="clear"></div>';
	}
	function webtreats_one_fifth( $atts, $content = null ) {
   return '<div class="one_fifth">' . do_shortcode($content) . '</div>';
	}
	function webtreats_one_fifth_last( $atts, $content = null ) {
   return '<div class="one_fifth last">' . do_shortcode($content) . '</div><div class="clear"></div>';
	}
	function webtreats_two_fifth( $atts, $content = null ) {
   return '<div class="two_fifth">' . do_shortcode($content) . '</div>';
	}
	function webtreats_two_fifth_last( $atts, $content = null ) {
   return '<div class="two_fifth last">' . do_shortcode($content) . '</div><div class="clear"></div>';
	}
	function webtreats_three_fifth( $atts, $content = null ) {
   return '<div class="three_fifth">' . do_shortcode($content) . '</div>';
	}
	function webtreats_three_fifth_last( $atts, $content = null ) {
   return '<div class="three_fifth last">' . do_shortcode($content) . '</div><div class="clear"></div>';
	}
	function webtreats_four_fifth( $atts, $content = null ) {
   return '<div class="four_fifth">' . do_shortcode($content) . '</div>';
	}
	function webtreats_four_fifth_last( $atts, $content = null ) {
   return '<div class="four_fifth last">' . do_shortcode($content) . '</div><div class="clear"></div>';
	}
	function webtreats_one_sixth( $atts, $content = null ) {
   return '<div class="one_sixth">' . do_shortcode($content) . '</div>';
	}
	function webtreats_one_sixth_last( $atts, $content = null ) {
   return '<div class="one_sixth last">' . do_shortcode($content) . '</div><div class="clear"></div>';
	}
	function webtreats_five_sixth( $atts, $content = null ) {
   return '<div class="five_sixth">' . do_shortcode($content) . '</div>';
	}
	function webtreats_five_sixth_last( $atts, $content = null ) {
   return '<div class="five_sixth last">' . do_shortcode($content) . '</div><div class="clear"></div>';
	}
}
}

if (class_exists('FluidColumn')) {
	new FluidColumn();
}
?>